Qt 5.9 | Qt Multimedia | C++ Classes | QCameraFlashControl

Qt 5.9.4 Reference Documentation

# QCameraFlashControl Class

The QCameraFlashControl class allows controlling a camera's flash. More...

Header: | #include <QCameraFlashControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QCameraFlashControl()
virtual QCameraExposure::FlashModes | flashMode() const = 0
virtual bool | isFlashModeSupported(QCameraExposure::FlashModes mode) const = 0
virtual bool | isFlashReady() const = 0
virtual void | setFlashMode(QCameraExposure::FlashModes mode) = 0

## Signals

void | flashReady(bool ready)

## Protected Functions

| QCameraFlashControl(QObject *parent = Q_NULLPTR)

## Macros

| QCameraFlashControl_iid

## Detailed Description

The QCameraFlashControl class allows controlling a camera's flash.

You can set the type of flash effect used when an image is captured, and test to see if the flash hardware is ready to fire.

You can retrieve this control from the camera object in the usual way:

Some camera devices may not have flash hardware, or may not be configurable. In that case, there will be no QCameraFlashControl available.

The interface name of QCameraFlashControl is `org.qt-project.qt.cameraflashcontrol/5.0` as defined in QCameraFlashControl_iid.

See also QCamera.

## Member Function Documentation

### `[protected]` QCameraFlashControl::QCameraFlashControl(QObject *parent = Q_NULLPTR)

Constructs a camera flash control object with parent.

### QCameraFlashControl::~QCameraFlashControl()

Destroys the camera control object.

### `[pure virtual]` QCameraExposure::FlashModes QCameraFlashControl::flashMode() const

Returns the current flash mode.

See also setFlashMode().

### `[signal]` void QCameraFlashControl::flashReady(bool ready)

Signal emitted when flash state changes to ready.

### `[pure virtual]` bool QCameraFlashControl::isFlashModeSupported(QCameraExposure::FlashModes mode) const

Return true if the reqested flash mode is supported. Some QCameraExposure::FlashMode values can be combined, for example QCameraExposure::FlashManual | QCameraExposure::FlashSlowSyncRearCurtain

### `[pure virtual]` bool QCameraFlashControl::isFlashReady() const

Returns true if flash is charged.

### `[pure virtual]` void QCameraFlashControl::setFlashMode(QCameraExposure::FlashModes mode)

Set the current flash mode.

Usually a single QCameraExposure::FlashMode flag is used, but some non conflicting flags combination are also allowed, like QCameraExposure::FlashManual | QCameraExposure::FlashSlowSyncRearCurtain.

See also flashMode().

## Macro Documentation

### QCameraFlashControl_iid

`org.qt-project.qt.cameraflashcontrol/5.0`

Defines the interface name of the QCameraFlashControl class.